<?php

namespace Modules\Stock\Rules;

use Helpers\Outil\Roles;
use Modules\Stock\Helper\RulesHelper;

class LigneCahierInventaire extends BaseRules
{
    /**
     * @return bool
     */
    public function init(): bool
    {
        return RulesHelper::hasInvAccessRights($this->pdo);
    }


    public function choixSitePopup(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_IN_RES');
    }

    public function saisirResultatsForm(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_IN_RES');
    }

    public function saisirResultat(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_IN_RES');
    }

    public function saisirResultatLotsInventaireForm(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_IN_RES');
    }

    public function saisirResultatLotsInventaire(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_IN_RES');
    }

    public function voirResultats(): bool
    {
        return true;
    }
}
